Bug 9982 - fetchmailconf: adding user to a server requires entering user options dialog
Summary: fetchmailconf: adding user to a server requires entering user options dialog
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: fetchmail   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Bernhard Rosenkraenzer
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-05 18:38 UTC by Brock Organ
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-01 20:21:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Organ 2000-03-05 18:38:16 UTC
when adding a user to the user list for a given mail server the user must
be 'edit'ed by opening the user options dialog ... the user information
will NOT be saved unless the user options dialog is entered (even if no
settings are entered)

for example,  add a new server, and add a new user to that server without
editing the user options ... in the below .fetchmailrc file, the server
pop.mail.yahoo.com has two users:  foo and bar added ... (but the user
properties for foo and bar are NOT altered and the dialog was NOT entered)
... note that there is no user information for foo and bar for this server:

# Configuration created Sun Mar  5 19:41:04 2000 by fetchmailconf
set postmaster "postmaster"
set bouncemail
set properties ""
poll pop.mail.yahoo.com

now, perform the same operations (new server pop.mail.yahoo.com, new users
foo and bar), but edit the user properties for the user foo:

[root@test131 /root]# cat .fetchmailrc
# Configuration created Sun Mar  5 19:43:13 2000 by fetchmailconf
set postmaster "postmaster"
set bouncemail
set properties ""
poll pop.mail.yahoo.com
       user foo there is foo here

note there is no entry for user bar even though he was entered through the
conf gui ...

Comment 1 Brock Organ 2000-08-01 20:21:55 UTC
fixed in 6.2


Note You need to log in before you can comment on or make changes to this bug.